Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class Task.MonitoredThread

    java.lang.Object
      java.lang.Thread
          sos.koa.Task.MonitoredThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Task

class Task.MonitoredThread
extends java.lang.Thread

Inner class to monitor the `ActionThread`.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`(package private)` | `Task.MonitoredThread()`

Method Summary
`void` | `run()` Runs the MonitoredThread inner class.
`(package private) java.lang.String` | `timeString(long time_millis)` A readable hh:mm:ss string representation of `time_millis`.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Task.MonitoredThread

    Task.MonitoredThread()

Method Detail

### run

    public void run()

  Runs the MonitoredThread inner class.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### timeString

    java.lang.String timeString(long time_millis)

  A readable hh:mm:ss string representation of `time_millis`.

  Parameters:
    `time_millis` - a time, given in milli-seconds.
  Returns:
    a readable string representation of `time_millis`.
  Specifications: pure

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD